using AI.Platform.Core.Entity;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace AI.Platform.Core.Entity.System.VehicleTerminal.Company
{
    /// <summary>
    /// 公司信息表
    /// </summary>
    [SugarTable(null, "公司信息表")]
    public class CompanyEntity : EntityBaseLite
    {
        /// <summary>
        /// 公司ID
        /// </summary>
        
        public long Id { get; set; }

        /// <summary>
        /// 客户名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? CustomerName { get; set; }

        /// <summary>
        /// 客户编号
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? CustomerCode { get; set; }

        /// <summary>
        /// 所属站点ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public long? SiteId { get; set; }

        /// <summary>
        /// 发票抬头
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? InvoiceTitle { get; set; }

        /// <summary>
        /// 税号（统一社会信用代码）
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? TaxNumber { get; set; }

        /// <summary>
        /// 公司注册地址
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? RegisterAddress { get; set; }

        /// <summary>
        /// 公司注册电话
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? RegisterPhone { get; set; }

        /// <summary>
        /// 状态：1-正常，2-禁用，3-注销
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public byte? Status { get; set; }

        /// <summary>
        /// 注册时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? RegistrationTime { get; set; }

        /// <summary>
        /// 公司联系地址
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? CompanyAddress { get; set; }

        /// <summary>
        /// 公司邮箱
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? CompanyEmail { get; set; }
        /// <summary>
        /// 账户id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public long? AccountId { get; set; }
    }
}
